=== debian/changelog ===
poco (1.10.0-6+deb11u1) bullseye; urgency=medium

  * Fix cmake files (Closes: #1000656).
     - Drop duplicated cmake/ in path so they are discoverable by cmake.
     - Fix cmake logic to export correct paths of shared objects.
     - Install FindPCRE.cmake, needed by PocoFoundationConfig.cmake.

 -- Jochen Sprickerhof <jspricke@debian.org>  Sun, 28 Nov 2021 08:18:29 +0100

poco (1.10.0-6) unstable; urgency=medium

  [ Debian Janitor ]
  * Fix day-of-week for changelog entries 1.4.3p1-1, 1.4.2p1-1.

  [ Jochen Sprickerhof ]
  * Make libpoco-dev MA same
  * Bump debhelper-compat
  * Disable tests failing during reproducible builds

 -- Jochen Sprickerhof <jspricke@debian.org>  Wed, 19 Aug 2020 22:13:31 +0200

poco (1.10.0-5) unstable; urgency=medium

  * Upload to unstable.

 -- Jochen Sprickerhof <jspricke@debian.org>  Wed, 22 Apr 2020 07:42:08 +0200

poco (1.10.0-4) experimental; urgency=medium

  * Reduce the amount of debug information on mipsel and m68k

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 08 Feb 2020 20:00:28 +0100

poco (1.10.0-3) experimental; urgency=medium

  * Fix return value

 -- Jochen Sprickerhof <jspricke@debian.org>  Thu, 06 Feb 2020 07:04:36 +0100

poco (1.10.0-2) experimental; urgency=medium

  * Add patches for broken builds

 -- Jochen Sprickerhof <jspricke@debian.org>  Wed, 05 Feb 2020 22:56:56 +0100

poco (1.10.0-1) experimental; urgency=medium

  * New upstream version 1.10.0
  * Update copyright
  * rework patches
  * bump policy version (no changes)
  * Rename packages due to soname change
  * Simplify d/rules
  * Add new libraries

 -- Jochen Sprickerhof <jspricke@debian.org>  Fri, 31 Jan 2020 20:07:49 +0100
